Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.component.ts	(nonexistent)
@@ -1,62 +0,0 @@
-import {Component, Input, ViewChild} from '@angular/core';
-import { ActivatedRoute} from '@angular/router';
-import {Location} from '@angular/common';
-import { Filter, Value} from '../../searchPages/searchUtils/searchHelperClasses.class';
-import {SearchProjectsService} from '../../services/searchProjects.service';
-import {SearchResult} from '../../utils/entities/searchResult';
-import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
-import {SearchFields} from '../../utils/properties/searchFields';
-import {SearchPageComponent } from '../../searchPages/searchUtils/searchPage.component';
-import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
-
-export class FetchProjects{
-  public results =[];
-  public sub: any;
-  public subResults: any;
-  public searchUtils:SearchUtilsClass = new SearchUtilsClass();
-
-
-  constructor (private _searchProjectsService: SearchProjectsService) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
-
-  }
-
-  public ngOnDestroy() {
-    if(this.sub){
-      this.sub.unsubscribe();
-    }
-    if(this.subResults){
-      this.subResults.unsubscribe();
-    }
-  }
-
-
-  public getResultsForDataproviders(id:string, page: number, size: number){
-
-    this._searchProjectsService.getProjectsforDataProvider(id, page, size).subscribe(
-        data => {
-            this.searchUtils.totalResults = data[0];
-            console.info("search Projects for Dataproviders: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
-            this.results = data[1];
-
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
-            if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
-            }
-        },
-        err => {
-            console.log(err);
-             //TODO check erros (service not available, bad request)
-            // if( ){
-            //   this.searchUtils.status = ErrorCodes.ERROR;
-            // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
-        }
-    );
-  }
-
-
-}
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchDataprovidersComponent} from './searchDataproviders.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchDataprovidersComponent }
+
+    ])
+  ]
+})
+export class SearchDataProvidersRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchDatasetsComponent} from './searchDatasets.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchDatasetsComponent }
+
+    ])
+  ]
+})
+export class SearchDatasetsRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDatasets.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchDatasetsRoutingModule} from './searchDatasets-routing.module';
+import{SearchDatasetsComponent} from './searchDatasets.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {DatasetsServiceModule} from '../../services/datasetsService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    DatasetsServiceModule,
+     SearchFormModule, SearchResultsModule, SearchDatasetsRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchDatasetsComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchDatasetsComponent
+     ]
+})
+export class SearchDatasetsModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchOrganizationsComponent} from './searchOrganizations.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchOrganizationsComponent }
+
+    ])
+  ]
+})
+export class SearchOrganizationsRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/loadingModal.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/loadingModal.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/loadingModal.module.ts	(revision 45689)
@@ -0,0 +1,19 @@
+import { NgModule }            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+ import {ModalLoading} from './loading.component';
+import {ModalModule} from './modal.module';
+
+//helpers
+
+@NgModule({
+  imports: [ CommonModule, FormsModule,ModalModule  ],
+  declarations: [
+    ModalLoading
+  ],
+  exports: [
+   ModalLoading
+  ]
+})
+export class LoadingModalModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/modal.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/modal.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/modal.module.ts	(revision 45689)
@@ -1,20 +1,13 @@
-import { NgModule }            from '@angular/core';
-import { CommonModule }        from '@angular/common';
-import { FormsModule }         from '@angular/forms';
-
-import {AlertModal} from './alert';
-import {ModalLoading} from './loading.component';
+/*  common components of modal components */
+import { NgModule } from '@angular/core';
 import {Open} from './open.component';
-
-//helpers
-
 @NgModule({
-  imports: [ CommonModule, FormsModule ],
+  imports: [  ],
   declarations: [
-    AlertModal, ModalLoading, Open
+      Open
   ],
   exports: [
-    AlertModal, ModalLoading
+    Open
   ]
 })
 export class ModalModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/alertModal.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/alertModal.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/modal/alertModal.module.ts	(revision 45689)
@@ -0,0 +1,17 @@
+import { NgModule }            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import {AlertModal} from './alert';
+import {ModalModule} from './modal.module';
+
+@NgModule({
+  imports: [ CommonModule, FormsModule, ModalModule ],
+  declarations: [
+    AlertModal
+  ],
+  exports: [
+    AlertModal
+  ]
+})
+export class AlertModalModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/utils.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/utils.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/utils.module.ts	(revision 45689)
@@ -13,12 +13,12 @@
 import {ShowDataProvidersComponent} from './showDataProviders.component';
 import {ExportCSVComponent} from './exportCSV.component';
 // import {IFrameComponent} from './iframe.component';
-import {AltMetricsComponent} from './altmetrics.component';
+// import {AltMetricsComponent} from './altmetrics.component';
 
 // import {SafeHtmlPipe} from './pipes/safeHTML.pipe';
 
-import {AlertModal} from './modal/alert';
-import {ModalLoading} from './modal/loading.component';
+// import {AlertModal} from './modal/alert';
+// import {ModalLoading} from './modal/loading.component';
 
 @NgModule({
   imports: [
@@ -35,7 +35,7 @@
     ExportCSVComponent,
     // IFrameComponent,
     // SafeHtmlPipe,
-    AltMetricsComponent
+    // AltMetricsComponent
 
   ],
   exports: [
@@ -43,7 +43,7 @@
       ProjectTitleFormatter,
       PublicationTitleFormatter,
       // PagingFormatter,
-      AlertModal, ModalLoading,
+      // AlertModal, ModalLoading,
       StaticAutoCompleteComponent,
       // EntitiesAutocompleteComponent,
       ShowDataProvidersComponent,
@@ -50,7 +50,7 @@
       ExportCSVComponent,
       // IFrameComponent,
       // SafeHtmlPipe,
-      AltMetricsComponent
+      // AltMetricsComponent
 
     ]
 })
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 45689)
@@ -1,13 +1,8 @@
-import {Location} from '@angular/common';
 
-import { Filter, Value} from '../../searchPages/searchUtils/searchHelperClasses.class';
-
 import {SearchPublicationsService} from '../../services/searchPublications.service';
-import {SearchResult}     from '../../utils/entities/searchResult';
-import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
+import {ErrorCodes} from '../../utils/properties/openaireProperties';
 import {SearchFields} from '../../utils/properties/searchFields';
-import {SearchPageComponent } from '../../searchPages/searchUtils/searchPage.component';
-import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
+ import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {ExportCSVComponent} from '../../utils/exportCSV.component';
 import {DOI} from '../../utils/string-utils.class';
 
@@ -39,20 +34,7 @@
 
   }
 
-  public ngOnInit() {
-    // this.searchPage.refineFields = this.refineFields;
-    // this.searchPage.fieldIdsMap = this.fieldIdsMap;
-    // this.searchPage.type = "publication";
 
-    // this.sub =  this.route.queryParams.subscribe(params => {
-    //     this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
-    //     this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
-    //
-    //     var queryParameters = this.searchPage.getQueryParametersFromUrl(params);
-    //     this._getResults(queryParameters, true, this.searchUtils.page, this.searchUtils.size);
-    // });
-  }
-
   public ngOnDestroy() {
     if(this.sub){
       this.sub.unsubscribe();
@@ -62,6 +44,51 @@
     }
   }
 
+  public getResultsByKeyword(keyword:string,  page: number, size: number){
+    var parameters = "";
+    if(keyword.length > 0){
+      var DOIs:string[] = DOI.getDOIsFromString(keyword);
+      var doisParams = "";
+
+      for(var i =0 ;i < DOIs.length; i++){
+        doisParams+=(doisParams.length > 0?" or ":"")+'((pidclassid exact doi) and (pid exact "'+ DOIs[i]+'"))';
+      }
+      if(doisParams.length > 0){
+        parameters += "q=("+doisParams+")"
+      }else{
+        parameters = "q="+'"' + keyword + '"';
+      }
+    }
+
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = errorCodes.LOADING;
+
+    this.subResults = this._searchPublicationsService.searchPublications(parameters,null, page, size, []).subscribe(
+        data => {
+            this.searchUtils.totalResults = data[0];
+            console.info("search Publications: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+            this.results = data[1];
+
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.DONE;
+            if(this.searchUtils.totalResults == 0 ){
+              this.searchUtils.status = errorCodes.NONE;
+            }
+         },
+        err => {
+            console.log(err);
+             //TODO check erros (service not available, bad request)
+            // if( ){
+            //   this.searchUtils.status = ErrorCodes.ERROR;
+            // }
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.ERROR;
+
+        }
+    );
+  }
+
 public getCSVResultsForEntity(entity:string, id:string): any {
     let exportPublications = [];
     exportPublications.push(//[exportPublications.length] =
@@ -153,64 +180,6 @@
   }
 }
 
-// public getResults(keyword:string,refine:boolean, page: number, size: number){
-//   var parameters = "";
-//   if(keyword.length > 0){
-//     var DOIs:string[] = DOI.getDOIsFromString(keyword);
-//     var doisParams = "";
-//
-//     for(var i =0 ;i < DOIs.length; i++){
-//       doisParams+=(doisParams.length > 0?" or ":"")+'((pidclassid exact doi) and (pid exact "'+ DOIs[i]+'"))';
-//     }
-//     if(doisParams.length > 0){
-//       parameters += "q=("+doisParams+")"
-//     }else{
-//       parameters = "q="+'"' + keyword + '"';
-//     }
-//   }
-//   this._getResults(parameters,refine,page,size);
-// }
-//
-// private _getResults(parameters:string,refine:boolean, page: number, size: number){
-//     this.csvParams = parameters;
-//
-//   if(!refine && !this.searchPage){
-//       this.searchPage = new SearchPageComponent(this._location);
-//   }
-//
-//   var errorCodes:ErrorCodes = new ErrorCodes();
-//   this.searchUtils.status = errorCodes.LOADING;
-//   this.searchPage.openLoading();
-//
-//   this.subResults = this._searchPublicationsService.searchPublications(parameters,(refine)?this.searchPage.getRefineFieldsQuery():null, page, size, this.searchPage.getFields()).subscribe(
-//       data => {
-//           this.searchUtils.totalResults = data[0];
-//           console.info("search Publications: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
-//           this.results = data[1];
-//           this.filters = data[2];
-//           this.searchPage.checkSelectedFilters(this.filters);
-//           this.searchPage.updateBaseUrlWithParameters(this.filters);
-//           var errorCodes:ErrorCodes = new ErrorCodes();
-//           this.searchUtils.status = errorCodes.DONE;
-//           if(this.searchUtils.totalResults == 0 ){
-//             this.searchUtils.status = errorCodes.NONE;
-//           }
-//           this.searchPage.closeLoading();
-//       },
-//       err => {
-//           console.log(err);
-//            //TODO check erros (service not available, bad request)
-//           // if( ){
-//           //   this.searchUtils.status = ErrorCodes.ERROR;
-//           // }
-//           var errorCodes:ErrorCodes = new ErrorCodes();
-//           this.searchUtils.status = errorCodes.ERROR;
-//           this.searchPage.closeLoading();
-//
-//       }
-//   );
-// }
-
 public getAggregatorResults(id:string, page: number, size: number){
   this.subResults = this._searchPublicationsService.searchAggregators('&fq=collectedfromdatasourceid exact "'+id+'"',"&refine=true&fields=resulthostingdatasourceid" , page, size).subscribe(
       data => {
@@ -233,42 +202,6 @@
       }
   );
 }
+ 
 
-  // public queryChanged($event) {
-  //   var parameters = $event.value;
-  //   console.info("queryChanged: Execute search query "+parameters);
-  //   console.info("Search Pubs::page "+this.searchUtils.page);
-  //   this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
-  // }
-  //
-  // public downloadClicked($event) {
-  //     if(!this.CSVDownloaded) {
-  //         this.CSVDownloaded = false;
-  //
-  //         var parameters = $event.value;
-  //
-  //         //this.getResultsCSV(parameters, false, 1, 1000);
-  //
-  //         this._searchPublicationsService.searchPublicationsCSV(parameters, this.searchPage.getRefineFieldsQuery(), 1, 1000).subscribe(
-  //             data => {
-  //                   this.CSV.export = data;
-  //                   ExportCSVComponent.downloadCSV(this.CSV, "publications.csv");
-  //
-  //                   var errorCodes:ErrorCodes = new ErrorCodes();
-  //                   this.searchUtils.status = errorCodes.DONE;
-  //             },
-  //             err => {
-  //                 console.log(err);
-  //                  //TODO check erros (service not available, bad request)
-  //                 // if( ){
-  //                 //   this.searchUtils.status = ErrorCodes.ERROR;
-  //                 // }
-  //                 var errorCodes:ErrorCodes = new ErrorCodes();
-  //                 this.searchUtils.status = errorCodes.ERROR;
-  //             }
-  //         );
-  //
-  //     }
-  // }
-
 }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPeople.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPeople.class.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchPeople.class.ts	(revision 45689)
@@ -0,0 +1,59 @@
+import {SearchPeopleService} from '../../services/searchPeople.service';
+import { ErrorCodes} from '../../utils/properties/openaireProperties';
+import {SearchFields} from '../../utils/properties/searchFields';
+import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
+
+export class FetchPeople {
+  public results =[];
+  public searchUtils:SearchUtilsClass = new SearchUtilsClass();
+  public sub: any;
+   public searchFields:SearchFields = new SearchFields();
+
+  constructor ( private _searchPeopleService: SearchPeopleService ) {
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status =errorCodes.LOADING;
+
+  }
+
+
+
+  public ngOnDestroy() {
+    this.sub.unsubscribe();
+  }
+
+public getResultsByKeyword(keyword:string, page: number, size: number){
+  var parameters = "";
+  if(keyword.length > 0){
+    parameters = "q="+'"' + keyword + '"';
+  }
+
+  var errorCodes:ErrorCodes = new ErrorCodes();
+  this.searchUtils.status = errorCodes.LOADING;
+
+  this._searchPeopleService.searchPeople(parameters, null, page, size,[]).subscribe(
+      data => {
+          this.searchUtils.totalResults = data[0];
+          console.info("search People: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+          this.results = data[1];
+
+          var errorCodes:ErrorCodes = new ErrorCodes();
+          this.searchUtils.status = errorCodes.DONE;
+          if(this.searchUtils.totalResults == 0 ){
+            this.searchUtils.status = errorCodes.NONE;
+          }
+       },
+      err => {
+          console.log(err);
+           //TODO check erros (service not available, bad request)
+          // if( ){
+          //   this.searchUtils.status = ErrorCodes.ERROR;
+          // }
+          var errorCodes:ErrorCodes = new ErrorCodes();
+          this.searchUtils.status = errorCodes.ERROR;
+       }
+  );
+}
+
+
+}
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts	(revision 45689)
@@ -1,13 +1,6 @@
-import {Component, Input, ViewChild} from '@angular/core';
-import { ActivatedRoute} from '@angular/router';
-import {Location} from '@angular/common';
-import { Filter, Value} from '../../searchPages/searchUtils/searchHelperClasses.class';
 import {SearchDataprovidersService} from '../../services/searchDataproviders.service';
-import {SearchResult}     from '../../utils/entities/searchResult';
-import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
-import {SearchFields} from '../../utils/properties/searchFields';
-import {SearchPageComponent } from '../../searchPages/searchUtils/searchPage.component';
-import {ExportCSVComponent} from '../../utils/exportCSV.component';
+import { ErrorCodes} from '../../utils/properties/openaireProperties';
+ import {ExportCSVComponent} from '../../utils/exportCSV.component';
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 
 export class FetchDataproviders {
@@ -20,7 +13,6 @@
   public CSVDownloaded = false;
   public csvParams: string;
 
-  @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
   constructor ( private _searchDataprovidersService: SearchDataprovidersService ) {
     var errorCodes:ErrorCodes = new ErrorCodes();
@@ -37,6 +29,40 @@
     }
   }
 
+  public getResultsByKeyword(keyword:string, page: number, size: number){
+    var parameters = "";
+    if(keyword.length > 0){
+      parameters = "q="+'"' + keyword + '"';
+    }
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = errorCodes.LOADING;
+
+
+    this.subResults = this._searchDataprovidersService.searchDataproviders(parameters,null, page, size,[]).subscribe(
+        data => {
+            this.searchUtils.totalResults = data[0];
+            console.info("search Data Providers: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+            this.results = data[1];
+
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.DONE;
+            if(this.searchUtils.totalResults == 0 ){
+              this.searchUtils.status = errorCodes.NONE;
+            }
+        },
+        err => {
+            console.log(err);
+             //TODO check erros (service not available, bad request)
+            // if( ){
+            //   this.searchUtils.status = ErrorCodes.ERROR;
+            // }
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.ERROR;
+        }
+    );
+  }
+
   public getNumForEntity(entity: string, id:string) {
       console.info("getNumForEntity : Dataproviders Component");
       var parameters="";
@@ -184,7 +210,7 @@
 
           //this.getResultsCSV(parameters, false, 1, 1000);
 
-          this._searchDataprovidersService.searchDataprovidersCSV(parameters, this.searchPage.getRefineFieldsQuery(), 1, 1000).subscribe(
+          this._searchDataprovidersService.searchDataprovidersCSV(parameters, "", 1, 1000).subscribe(
               data => {
                     this.CSV.export = data;
                     ExportCSVComponent.downloadCSV(this.CSV, "dataproviders.csv");
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchOrganizations.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchOrganizations.class.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchOrganizations.class.ts	(revision 45689)
@@ -0,0 +1,66 @@
+ import {SearchOrganizationsService} from '../../services/searchOrganizations.service';
+ import { ErrorCodes} from '../../utils/properties/openaireProperties';
+ import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
+
+export class FetchOrganizations {
+  public results =[];
+
+  public searchUtils:SearchUtilsClass = new SearchUtilsClass();
+  public sub: any;
+  public subResults: any;
+
+
+
+  constructor ( private _searchOrganizationsService: SearchOrganizationsService ) {
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status =errorCodes.LOADING;
+
+  }
+
+
+  public ngOnDestroy() {
+    if(this.sub){
+      this.sub.unsubscribe();
+    }
+    if(this.subResults){
+      this.subResults.unsubscribe();
+    }
+  }
+
+
+    public getResultsByKeyword(keyword:string , page: number, size: number){
+      var parameters = "";
+      if(keyword.length > 0){
+        parameters = "q="+'"' + keyword + '"';
+      }
+
+       var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = errorCodes.LOADING;
+
+      this.subResults = this._searchOrganizationsService.searchOrganizations(parameters, null, page, size, []).subscribe(
+          data => {
+              this.searchUtils.totalResults = data[0];
+              console.info("search Organizations: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+              this.results = data[1];
+
+              var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = errorCodes.DONE;
+              if(this.searchUtils.totalResults == 0 ){
+                this.searchUtils.status = errorCodes.NONE;
+              }
+           },
+          err => {
+              console.log(err);
+               //TODO check erros (service not available, bad request)
+              // if( ){
+              //   this.searchUtils.status = ErrorCodes.ERROR;
+              // }
+              var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = errorCodes.ERROR;
+           }
+      );
+    }
+
+
+}
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 45689)
@@ -1,8 +1,5 @@
 import {SearchDatasetsService} from '../../services/searchDatasets.service';
-import {SearchResult}     from '../../utils/entities/searchResult';
-import {OpenaireProperties, ErrorCodes} from '../../utils/properties/openaireProperties';
-import {SearchFields} from '../../utils/properties/searchFields';
-import {SearchPageComponent } from '../../searchPages/searchUtils/searchPage.component';
+import { ErrorCodes} from '../../utils/properties/openaireProperties';
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {DOI} from '../../utils/string-utils.class';
 
@@ -34,6 +31,50 @@
   }
 
 
+  public getResultsByKeyword(keyword:string,  page: number, size: number){
+    var parameters = "";
+    if(keyword.length > 0){
+      var DOIs:string[] = DOI.getDOIsFromString(keyword);
+      var doisParams = "";
+
+      for(var i =0 ;i < DOIs.length; i++){
+        doisParams+=(doisParams.length > 0?" or ":"")+'((pidclassid exact doi) and (pid exact "'+ DOIs[i]+'"))';
+      }
+      if(doisParams.length > 0){
+        parameters += "q=("+doisParams+")"
+      }else{
+        parameters = "q="+'"' + keyword + '"';
+      }
+    }
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = errorCodes.LOADING;
+
+    this.subResults = this._searchDatasetsService.searchDatasets(parameters,null, page, size, []).subscribe(
+        data => {
+            this.searchUtils.totalResults = data[0];
+            console.info("search Datasets: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+            this.results = data[1];
+
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.DONE;
+            if(this.searchUtils.totalResults == 0 ){
+              this.searchUtils.status = errorCodes.NONE;
+            }
+         },
+        err => {
+            console.log(err);
+             //TODO check erros (service not available, bad request)
+            // if( ){
+            //   this.searchUtils.status = ErrorCodes.ERROR;
+            // }
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.ERROR;
+         }
+    );
+  }
+
+
 public getResultsForEntity(entity:string, id:string, page: number, size: number){
   var parameters = "";
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(revision 45689)
@@ -0,0 +1,87 @@
+import {SearchProjectsService} from '../../services/searchProjects.service';
+import {ErrorCodes} from '../../utils/properties/openaireProperties';
+import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
+
+export class FetchProjects{
+  public results =[];
+  public sub: any;
+  public subResults: any;
+  public searchUtils:SearchUtilsClass = new SearchUtilsClass();
+
+
+  constructor (private _searchProjectsService: SearchProjectsService) {
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status =errorCodes.LOADING;
+
+  }
+
+  public ngOnDestroy() {
+    if(this.sub){
+      this.sub.unsubscribe();
+    }
+    if(this.subResults){
+      this.subResults.unsubscribe();
+    }
+  }
+
+  public getResultsByKeyword(keyword:string,  page: number, size: number){
+    var parameters = "";
+    if(keyword.length > 0){
+      parameters = "q="+'"' + keyword + '"';
+    }
+
+    var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = errorCodes.LOADING;
+
+  this.subResults = this._searchProjectsService.searchProjects(parameters, null, page, size, []).subscribe(
+        data => {
+            this.searchUtils.totalResults = data[0];
+            console.info("search Projects: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
+            this.results = data[1];
+
+             var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.DONE;
+            if(this.searchUtils.totalResults == 0 ){
+              this.searchUtils.status = errorCodes.NONE;
+            }
+         },
+        err => {
+            console.log(err);
+             //TODO check erros (service not available, bad request)
+            // if( ){
+            //   this.searchUtils.status = ErrorCodes.ERROR;
+            // }
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.ERROR;
+         }
+    );
+  }
+
+  public getResultsForDataproviders(id:string, page: number, size: number){
+
+    this._searchProjectsService.getProjectsforDataProvider(id, page, size).subscribe(
+        data => {
+            this.searchUtils.totalResults = data[0];
+            console.info("search Projects for Dataproviders: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
+            this.results = data[1];
+
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.DONE;
+            if(this.searchUtils.totalResults == 0 ){
+              this.searchUtils.status = errorCodes.NONE;
+            }
+        },
+        err => {
+            console.log(err);
+             //TODO check erros (service not available, bad request)
+            // if( ){
+            //   this.searchUtils.status = ErrorCodes.ERROR;
+            // }
+            var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = errorCodes.ERROR;
+        }
+    );
+  }
+
+
+}
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/refineFieldResultsService.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/refineFieldResultsService.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/refineFieldResultsService.module.ts	(revision 45689)
@@ -0,0 +1,20 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import {RefineFieldResultsService} from './refineFieldResults.service';
+
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule
+  ],
+  declarations: [
+  ],
+  providers:[
+  RefineFieldResultsService
+],
+  exports: [
+    ]
+})
+export class RefineFieldResultsServiceModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/peopleService.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/peopleService.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/services/peopleService.module.ts	(revision 45689)
@@ -0,0 +1,20 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import {SearchPeopleService} from './searchPeople.service';
+
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule
+  ],
+  declarations: [
+  ],
+  providers:[
+  SearchPeopleService
+],
+  exports: [
+    ]
+})
+export class PeopleServiceModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch.module.ts	(revision 45689)
@@ -0,0 +1,36 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{MainSearchRoutingModule} from './mainSearch-routing.module';
+import{SearchComponent} from './search.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
+import {DatasetsServiceModule} from '../../services/datasetsService.module';
+import {ProjectsServiceModule} from '../../services/projectsService.module';
+import {PublicationsServiceModule} from '../../services/publicationsService.module';
+import {OrganizationsServiceModule} from '../../services/organizationsService.module';
+import {PeopleServiceModule} from '../../services/peopleService.module';
+import {BrowseEntitiesModule} from '../searchUtils/browseEntities.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    DataProvidersServiceModule, DatasetsServiceModule, ProjectsServiceModule,
+    PublicationsServiceModule, OrganizationsServiceModule, PeopleServiceModule,
+    BrowseEntitiesModule, SearchFormModule, SearchResultsModule, MainSearchRoutingModule
+
+  ],
+  declarations: [
+    SearchComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchComponent
+     ]
+})
+export class MainSearchModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/mainSearch-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchComponent} from './search.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchComponent }
+
+    ])
+  ]
+})
+export class MainSearchRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/deposit/depositResult.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/deposit/depositResult.component.ts	(revision 45689)
@@ -5,7 +5,6 @@
 import { ActivatedRoute } from '@angular/router';
 import { FetchDataproviders } from '../utils/fetchEntitiesClasses/fetchDataproviders.class';
 import { SearchDataprovidersService } from '../services/searchDataproviders.service';
-import { SearchResultComponent } from '../searchPages/searchUtils/searchResult.component';
 
 import {OrganizationService} from '../services/organization.service';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 45689)
@@ -1,7 +1,6 @@
 import {Component, Input} from '@angular/core';
 
-import { FetchProjects } from '../../utils/fetchEntitiesClasses/fetchProjects.component';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
+import { FetchProjects } from '../../utils/fetchEntitiesClasses/fetchProjects.class';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 45689)
@@ -1,7 +1,6 @@
 import {Component, Input} from '@angular/core';
 
 import { FetchPublications } from '../../utils/fetchEntitiesClasses/fetchPublications.class';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/search.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/search.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/search.module.ts	(revision 45689)
@@ -1,106 +1,92 @@
-import { NgModule}            from '@angular/core';
-import { CommonModule }        from '@angular/common';
-import { FormsModule }         from '@angular/forms';
-
-import {UtilsModule} from '../utils/utils.module';
-import {ServicesModule} from '../services/services.module';
-
-
-import {Filter, Value} from './searchUtils/searchHelperClasses.class';
-import {SearchResult}     from '../utils/entities/searchResult';
-
-
-import {AdvancedSearchPageComponent} from './searchUtils/advancedSearchPage.component';
-// import {SearchAllComponent} from '../searchAll/searchAll.component';//helpers
-import {SearchPageComponent} from './searchUtils/searchPage.component';
-import {SearchFormComponent} from './searchUtils/searchForm.component';
-// import {SearchPagingComponent} from './searchUtils/searchPaging.component';
-// import {SearchDownloadComponent} from './searchUtils/searchDownload.component';
-
-import {BrowseEntitiesComponent} from './searchUtils/browseEntities.component';
-import {BrowseStatisticComponent} from './searchUtils/browseStatistic.component';
-
-// import {SearchResultComponent} from './searchUtils/searchResult.component';
-import {SearchFilterComponent} from './searchUtils/searchFilter.component';
-import {AdvancedSearchFormComponent} from './searchUtils/advancedSearchForm.component';
-// import { SearchPublicationsComponent } from './simple/searchPublications.component';
-import { SearchDataprovidersComponent } from './simple/searchDataproviders.component';
-import { SearchProjectsComponent } from './simple/searchProjects.component';
-// import {SearchDatasetsComponent} from './simple/searchDatasets.component';
-import {SearchOrganizationsComponent} from './simple/searchOrganizations.component';
-import {SearchPeopleComponent} from './simple/searchPeople.component';
-
-import {SearchComponent} from './find/search.component';
-import {SearchCompatibleDataprovidersComponent} from './dataProviders/compatibleDataProviders.component';
-import {SearchEntityRegistriesComponent} from './dataProviders/entityRegistries.component';
-import {DatasourceTableViewComponent} from './dataProviders/datasourceTableView.component';
-//Advanced
-import { AdvancedSearchPublicationsComponent } from './advanced/advancedSearchPublications.component';
-import { AdvancedSearchDataProvidersComponent } from './advanced/advancedSearchDataProviders.component';
-import { AdvancedSearchProjectsComponent } from './advanced/advancedSearchProjects.component';
-import { AdvancedSearchDatasetsComponent } from './advanced/advancedSearchDatasets.component';
-import { AdvancedSearchPeopleComponent } from './advanced/advancedSearchPeople.component';
-import { AdvancedSearchOrganizationsComponent } from './advanced/advancedSearchOrganizations.component';
-
-import {SearchResultsModule} from './searchUtils/searchResults.module';
-import { SearchRoutingModule } from './search-routing.module';
-import{SearchDatasetsAndPublicationsComponentModule} from './simple/searchDatasetsAndPublications.module'
-
-@NgModule({
-  imports: [
-    CommonModule, FormsModule,
-    UtilsModule,
-    ServicesModule,
-    SearchRoutingModule, SearchResultsModule,SearchDatasetsAndPublicationsComponentModule
-
-  ],
-  declarations: [
-
-    AdvancedSearchPageComponent,
-    // SearchAllComponent,
-    SearchPageComponent,
-    SearchFormComponent,
-    // SearchResultComponent,
-    SearchFilterComponent,
-    // SearchPagingComponent,
-    // SearchDownloadComponent,
-    AdvancedSearchFormComponent,
-    // SearchPublicationsComponent,
-    AdvancedSearchPublicationsComponent, AdvancedSearchDataProvidersComponent, AdvancedSearchProjectsComponent,
-    AdvancedSearchDatasetsComponent, AdvancedSearchPeopleComponent, AdvancedSearchOrganizationsComponent,
-    SearchDataprovidersComponent,
-    SearchComponent,
-    SearchProjectsComponent,
-    SearchCompatibleDataprovidersComponent,
-    SearchEntityRegistriesComponent,
-    DatasourceTableViewComponent,
-    // SearchDatasetsComponent,
-    SearchOrganizationsComponent,
-    SearchPeopleComponent,
-    BrowseEntitiesComponent,
-    BrowseStatisticComponent
-],
-
-  providers:[
-    // SearchPublicationsService
-  ],
-  exports: [
-      // SearchAllComponent,
-      AdvancedSearchPublicationsComponent,
-      AdvancedSearchDataProvidersComponent,
-      AdvancedSearchProjectsComponent,
-      // SearchPublicationsComponent,
-      SearchProjectsComponent,
-      SearchDataprovidersComponent,
-      // SearchDatasetsComponent,
-      SearchOrganizationsComponent,
-      SearchPeopleComponent,
-      SearchComponent,
-      SearchCompatibleDataprovidersComponent,
-      SearchEntityRegistriesComponent,
-      // SearchResultComponent,
-      BrowseEntitiesComponent,
-      BrowseStatisticComponent
-    ]
-})
-export class SearchModule { }
+// import { NgModule}            from '@angular/core';
+// import { CommonModule }        from '@angular/common';
+// import { FormsModule }         from '@angular/forms';
+//
+// import {UtilsModule} from '../utils/utils.module';
+// import {ServicesModule} from '../services/services.module';
+//
+//
+// import {Filter, Value} from './searchUtils/searchHelperClasses.class';
+// import {SearchResult}     from '../utils/entities/searchResult';
+//
+//
+// import {AdvancedSearchPageComponent} from './searchUtils/advancedSearchPage.component';
+//
+// // import {BrowseEntitiesComponent} from './searchUtils/browseEntities.component';
+// // import {BrowseStatisticComponent} from './searchUtils/browseStatistic.component';
+//
+// // import {SearchResultComponent} from './searchUtils/searchResult.component';
+//  import {AdvancedSearchFormComponent} from './searchUtils/advancedSearchForm.component';
+// // import { SearchPublicationsComponent } from './simple/searchPublications.component';
+// import { SearchDataprovidersComponent } from './simple/searchDataproviders.component';
+// import { SearchProjectsComponent } from './simple/searchProjects.component';
+// // import {SearchDatasetsComponent} from './simple/searchDatasets.component';
+// import {SearchOrganizationsComponent} from './simple/searchOrganizations.component';
+// import {SearchPeopleComponent} from './simple/searchPeople.component';
+//
+// // import {SearchComponent} from './find/search.component';
+// import {SearchCompatibleDataprovidersComponent} from './dataProviders/compatibleDataProviders.component';
+// import {SearchEntityRegistriesComponent} from './dataProviders/entityRegistries.component';
+// import {DatasourceTableViewComponent} from './dataProviders/datasourceTableView.component';
+// //Advanced
+// import { AdvancedSearchPublicationsComponent } from './advanced/advancedSearchPublications.component';
+// import { AdvancedSearchDataProvidersComponent } from './advanced/advancedSearchDataProviders.component';
+// import { AdvancedSearchProjectsComponent } from './advanced/advancedSearchProjects.component';
+// import { AdvancedSearchDatasetsComponent } from './advanced/advancedSearchDatasets.component';
+// import { AdvancedSearchPeopleComponent } from './advanced/advancedSearchPeople.component';
+// import { AdvancedSearchOrganizationsComponent } from './advanced/advancedSearchOrganizations.component';
+//
+// import {SearchResultsModule} from './searchUtils/searchResults.module';
+// import { SearchRoutingModule } from './search-routing.module';
+// import{SearchDatasetsAndPublicationsComponentModule} from './simple/searchDatasetsAndPublications.module'
+//
+// @NgModule({
+//   imports: [
+//     CommonModule, FormsModule,
+//     UtilsModule,
+//     ServicesModule,
+//     SearchRoutingModule, SearchResultsModule,SearchDatasetsAndPublicationsComponentModule
+//
+//   ],
+//   declarations: [
+//
+//     AdvancedSearchPageComponent,
+//
+//     AdvancedSearchFormComponent,
+//      AdvancedSearchPublicationsComponent, AdvancedSearchDataProvidersComponent, AdvancedSearchProjectsComponent,
+//     AdvancedSearchDatasetsComponent, AdvancedSearchPeopleComponent, AdvancedSearchOrganizationsComponent,
+//     SearchDataprovidersComponent,
+//     // SearchComponent,
+//     SearchProjectsComponent,
+//     SearchCompatibleDataprovidersComponent,
+//     SearchEntityRegistriesComponent,
+//     DatasourceTableViewComponent,
+//      SearchOrganizationsComponent,
+//     SearchPeopleComponent,
+//     BrowseEntitiesComponent,
+//     BrowseStatisticComponent
+// ],
+//
+//   providers:[
+//     // SearchPublicationsService
+//   ],
+//   exports: [
+//       // SearchAllComponent,
+//       AdvancedSearchPublicationsComponent,
+//       AdvancedSearchDataProvidersComponent,
+//       AdvancedSearchProjectsComponent,
+//       // SearchPublicationsComponent,
+//       SearchProjectsComponent,
+//       SearchDataprovidersComponent,
+//       // SearchDatasetsComponent,
+//       SearchOrganizationsComponent,
+//       SearchPeopleComponent,
+//       // SearchComponent,
+//       SearchCompatibleDataprovidersComponent,
+//       SearchEntityRegistriesComponent,
+//       // SearchResultComponent,
+//       BrowseEntitiesComponent,
+//       BrowseStatisticComponent
+//     ]
+// })
+// export class SearchModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 45689)
@@ -1,6 +1,5 @@
 import {Component, Input} from '@angular/core';
 import { FetchDatasets } from '../../utils/fetchEntitiesClasses/fetchDatasets.class';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 45689)
@@ -1,6 +1,5 @@
 import {Component, Input} from '@angular/core';
 import { FetchDataproviders } from '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/project/project.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/project/project.component.ts	(revision 45689)
@@ -10,7 +10,6 @@
 import { FetchDatasets } from '../../utils/fetchEntitiesClasses/fetchDatasets.class';
 import { SearchDatasetsService } from '../../services/searchDatasets.service';
 
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 import {ReportsService} from '../../services/reports.service';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/search.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/find/search.component.ts	(revision 45689)
@@ -3,13 +3,14 @@
 import {ActivatedRoute, Router} from '@angular/router';
 import {Location} from '@angular/common';
 
-import { SearchPublicationsComponent } from '../simple/searchPublications.component';
-import { SearchDataprovidersComponent } from '../simple/searchDataproviders.component';
-import { SearchProjectsComponent } from '../simple/searchProjects.component';
-import { SearchDatasetsComponent } from '../simple/searchDatasets.component';
-import { SearchOrganizationsComponent } from '../simple/searchOrganizations.component';
-import { SearchPeopleComponent } from '../simple/searchPeople.component';
 
+import { FetchPublications } from '../../utils/fetchEntitiesClasses/fetchPublications.class';
+import { FetchDataproviders } from  '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
+import { FetchProjects } from  '../../utils/fetchEntitiesClasses/fetchProjects.class';
+import { FetchDatasets } from '../../utils/fetchEntitiesClasses/fetchDatasets.class';
+import { FetchOrganizations } from '../../utils/fetchEntitiesClasses/fetchOrganizations.class';
+import { FetchPeople } from '../../utils/fetchEntitiesClasses/fetchPeople.class';
+
 import {SearchPublicationsService} from '../../services/searchPublications.service';
 import {SearchDataprovidersService} from '../../services/searchDataproviders.service';
 import {SearchProjectsService} from '../../services/searchProjects.service';
@@ -24,7 +25,7 @@
     selector: 'search-find',
     template: `
 
-    <!--div  class="uk-margin-top">
+    <div  class="uk-margin-top">
       <div class="page-header">
           <h1>{{pageTitle}}</h1>
       </div>
@@ -38,32 +39,32 @@
             <ul class="uk-tab uk-tab-left uk-width-large-1-5 uk-width-small-1-1 " data-uk-switcher="{connect:'#searchtabs'}">
                     <li (click)="searchPublications()"  >
                        <a   href="#pubsTab">
-                           Publications {{((keyword.length > 0)?'('+searchPublicationsComponent.searchUtils.totalResults+')':'')}}
+                           Publications {{((keyword.length > 0)?'('+fetchPublications.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
                    <li (click)="searchDatasets()">
                        <a   href="#dataTab" (click)="searchDatasets()">
-                           Datasets {{((keyword.length > 0)?'('+searchDatasetsComponent.searchUtils.totalResults+')':'')}}
+                           Datasets {{((keyword.length > 0)?'('+fetchDatasets.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
                    <li (click)="searchProjects()"  >
                        <a   href="#projectsTab">
-                           Projects {{((keyword.length > 0)?'('+searchProjectsComponent.searchUtils.totalResults+')':'')}}
+                           Projects {{((keyword.length > 0)?'('+fetchProjects.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
                    <li (click)="searchDataProviders()" >
                        <a   href="#dataProviderTab">
-                           Data Providers {{((keyword.length > 0)?'('+searchDataProvidersComponent.searchUtils.totalResults+')':'')}}
+                           Data Providers {{((keyword.length > 0)?'('+fetchDataproviders.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
                    <li (click)="searchOrganizations()" >
                        <a   href="#organizationsTab"  >
-                           Organizations {{((keyword.length > 0)?'('+searchOrganizationsComponent.searchUtils.totalResults+')':'')}}
+                           Organizations {{((keyword.length > 0)?'('+fetchOrganizations.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
                    <li (click)="searchPeople()" >
                        <a   href="#peopleTab" >
-                           People {{((keyword.length > 0)?'('+searchPeopleComponent.searchUtils.totalResults+')':'')}}
+                           People {{((keyword.length > 0)?'('+fetchPeople.searchUtils.totalResults+')':'')}}
                        </a>
                    </li>
 
@@ -74,8 +75,8 @@
                 <ul id="searchtabs" class="uk-switcher uk-margin-left uk-width-large-3-4 uk-width-small-1-1">
                      <li id="pubsTab" class="uk-active">
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchPublicationsComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchPublications" >View all {{searchPublicationsComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchPublicationsComponent.results" [(status)]= "searchPublicationsComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchPublications.searchUtils.totalResults> 10" ><a [href] = "linkToSearchPublications" >View all {{fetchPublications.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchPublications.results" [(status)]= "fetchPublications.status"></search-result>
                       </div>
                       <div *ngIf = "keyword.length == 0 && activeTab=='publications'" class ="uk-animation-fade" >
                               <browse-entities entityName="publication" baseUrl="/search/find/publications" [refineFields]=searchFields.RESULT_REFINE_FIELDS></browse-entities>
@@ -83,8 +84,8 @@
                     </li>
                     <li id="dataTab">
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchDatasetsComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchDatasets" >View all {{searchDatasetsComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchDatasetsComponent.results" [(status)]= "searchDatasetsComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchDatasets.searchUtils.totalResults> 10" ><a [href] = "linkToSearchDatasets" >View all {{fetchDatasets.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchDatasets.results" [(status)]= "fetchDatasets.status"></search-result>
                         </div>
                         <div *ngIf = "keyword.length == 0 && activeTab=='datasets'" class ="uk-animation-fade">
                                 <browse-entities entityName="dataset" baseUrl="/search/find/datasets" [refineFields]=searchFields.RESULT_REFINE_FIELDS></browse-entities>
@@ -92,8 +93,8 @@
                     </li>
                     <li id="projectsTab" >
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchProjectsComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchProjects" >View all {{searchProjectsComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchProjectsComponent.results" [(status)]= "searchProjectsComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchProjects.searchUtils.totalResults> 10" ><a [href] = "linkToSearchProjects" >View all {{fetchProjects.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchProjects.results" [(status)]= "fetchProjects.status"></search-result>
                       </div>
                       <div *ngIf = "keyword.length == 0 && activeTab=='projects'" class ="uk-animation-fade">
                               <browse-entities entityName="project" baseUrl="/search/find/projects" [refineFields]=searchFields.PROJECT_REFINE_FIELDS></browse-entities>
@@ -101,8 +102,8 @@
                     </li>
                     <li id="dataProviderTab">
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchDataProvidersComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchDataproviders" >View all {{searchDataProvidersComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchDataProvidersComponent.results" [(status)]= "searchDataProvidersComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchDataproviders.searchUtils.totalResults> 10" ><a [href] = "linkToSearchDataproviders" >View all {{fetchDataproviders.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchDataproviders.results" [(status)]= "fetchDataproviders.status"></search-result>
                       </div>
                       <div *ngIf = "keyword.length == 0 && activeTab=='dataproviders'" class ="uk-animation-fade" >
                               <browse-entities entityName="dataprovider" baseUrl="/search/find/dataproviders" [refineFields]=searchFields.DATASOURCE_REFINE_FIELDS></browse-entities>
@@ -110,8 +111,8 @@
                     </li>
                     <li id="organizationsTab" >
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchOrganizationsComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchOrganizations" >View all {{searchOrganizationsComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchOrganizationsComponent.results" [(status)]= "searchOrganizationsComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchOrganizations.searchUtils.totalResults> 10" ><a [href] = "linkToSearchOrganizations" >View all {{fetchOrganizations.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchOrganizations.results" [(status)]= "fetchOrganizations.status"></search-result>
                       </div>
                       <div *ngIf = "keyword.length == 0 && activeTab=='organizations'" class ="uk-animation-fade">
                               <browse-entities entityName="organization" baseUrl="/search/find/organizations" [refineFields]=searchFields.ORGANIZATION_REFINE_FIELDS></browse-entities>
@@ -119,8 +120,8 @@
                     </li>
                     <li id="peopleTab">
                       <div *ngIf = "keyword.length > 0" class ="uk-animation-fade">
-                        <div class = "uk-text-right" *ngIf = "searchPeopleComponent.searchUtils.totalResults> 10" ><a [href] = "linkToSearchPeople" >View all {{searchPeopleComponent.searchUtils.totalResults}} results</a></div>
-                        <search-result [(results)]="searchPeopleComponent.results" [(status)]= "searchPeopleComponent.status"></search-result>
+                        <div class = "uk-text-right" *ngIf = "fetchPeople.searchUtils.totalResults> 10" ><a [href] = "linkToSearchPeople" >View all {{fetchPeople.searchUtils.totalResults}} results</a></div>
+                        <search-result [(results)]="fetchPeople.results" [(status)]= "fetchPeople.status"></search-result>
                       </div>
                       <div *ngIf = "keyword.length == 0 && activeTab=='people'" class ="uk-animation-fade">
                           <div   class="uk-alert uk-alert-info " role="alert">No person statistics found</div>
@@ -168,12 +169,12 @@
   public linkToSearchOrganizations = "";
   public linkToSearchPeople = "";
 
-  public searchPublicationsComponent : SearchPublicationsComponent;
-  public searchDataProvidersComponent : SearchDataprovidersComponent;
-  public searchProjectsComponent : SearchProjectsComponent;
-  public searchDatasetsComponent: SearchDatasetsComponent;
-  public searchOrganizationsComponent: SearchOrganizationsComponent;
-  public searchPeopleComponent: SearchPeopleComponent;
+  public fetchPublications : FetchPublications;
+  public fetchDataproviders : FetchDataproviders;
+  public fetchProjects : FetchProjects;
+  public fetchDatasets: FetchDatasets;
+  public fetchOrganizations: FetchOrganizations;
+  public fetchPeople: FetchPeople;
   public searchFields:SearchFields = new SearchFields();
 
 public subPub;public subData;public subProjects;public subOrg;public subPeople; public subDataPr;
@@ -185,12 +186,12 @@
       private _searchOrganizationsService: SearchOrganizationsService,
       private _searchPeopleService: SearchPeopleService,
       private location: Location ) {
-    this.searchPublicationsComponent = new SearchPublicationsComponent(this.route, this._searchPublicationsService);
-    this.searchDataProvidersComponent = new SearchDataprovidersComponent(this.route,this._searchDataprovidersService);
-    this.searchProjectsComponent = new SearchProjectsComponent(this.route, this._searchProjectsService);
-    this.searchDatasetsComponent = new SearchDatasetsComponent(this.route, this._searchDatasetsService);
-    this.searchOrganizationsComponent = new SearchOrganizationsComponent(this.route, this._searchOrganizationsService);
-    this.searchPeopleComponent = new SearchPeopleComponent(this.route, this._searchPeopleService);
+    this.fetchPublications = new FetchPublications(this._searchPublicationsService);
+    this.fetchDataproviders = new FetchDataproviders(this._searchDataprovidersService);
+    this.fetchProjects = new FetchProjects(this._searchProjectsService);
+    this.fetchDatasets = new FetchDatasets( this._searchDatasetsService);
+    this.fetchOrganizations = new FetchOrganizations( this._searchOrganizationsService);
+    this.fetchPeople = new FetchPeople(this._searchPeopleService);
   }
 
   public ngOnInit() {
@@ -236,7 +237,7 @@
     this.activeTab = "publications";
     if(this.reloadPublications) {
         this.reloadPublications = false;
-        this.searchPublicationsComponent.getResults(this.keyword, false, 1, 10);
+        this.fetchPublications.getResultsByKeyword(this.keyword,  1, 10);
         this.linkToSearchPublications = OpenaireProperties.getLinkToSearchPublications() + "?keyword="  + this.keyword;
     }
    }
@@ -244,7 +245,7 @@
      this.activeTab = "datasets";
      if(this.reloadDatasets) {
          this.reloadDatasets = false;
-         this.searchDatasetsComponent.getResults(this.keyword, false, 1, 10);
+         this.fetchDatasets.getResultsByKeyword(this.keyword,  1, 10);
          this.linkToSearchDatasets = OpenaireProperties.getLinkToSearchDatasets() + "?keyword="  + this.keyword;
      }
    }
@@ -252,7 +253,7 @@
      this.activeTab = "projects";
      if(this.reloadProjects) {
          this.reloadProjects = false;
-         this.searchProjectsComponent.getResults(this.keyword, false, 1, 10);
+         this.fetchProjects.getResultsByKeyword(this.keyword,  1, 10);
          this.linkToSearchProjects = OpenaireProperties.getLinkToSearchProjects() + "?keyword="  + this.keyword;
      }
    }
@@ -260,7 +261,7 @@
      this.activeTab = "dataproviders";
      if(this.reloadDataproviders) {
          this.reloadDataproviders = false;
-         this.searchDataProvidersComponent.getResults(this.keyword, false, 1, 10);
+         this.fetchDataproviders.getResultsByKeyword(this.keyword, 1, 10);
          this.linkToSearchDataproviders = OpenaireProperties.getLinkToSearchDataProviders() + "?keyword="  + this.keyword;
      }
    }
@@ -268,7 +269,7 @@
      this.activeTab = "organizations";
      if(this.reloadOrganizations) {
          this.reloadOrganizations = false;
-         this.searchOrganizationsComponent.getResults(this.keyword, false, 1, 10);
+         this.fetchOrganizations.getResultsByKeyword(this.keyword,  1, 10);
          this.linkToSearchOrganizations = OpenaireProperties.getLinkToSearchOrganizations() + "?keyword="  + this.keyword;
      }
    }
@@ -276,7 +277,7 @@
      this.activeTab = "people";
      if(this.reloadPeople) {
          this.reloadPeople = false;
-         this.searchPeopleComponent.getResults(this.keyword, false, 1, 10);
+         this.fetchPeople.getResultsByKeyword(this.keyword,  1, 10);
          this.linkToSearchPeople = OpenaireProperties.getLinkToSearchPeople() + "?keyword="  + this.keyword;
      }
    }
@@ -311,7 +312,7 @@
        this.subPublicationsCount = this.route.queryParams.subscribe(params => {
            this.subPub = this._searchPublicationsService.numOfSearchPublications(this.keyword).subscribe(
              data => {
-                 this.searchPublicationsComponent.searchUtils.totalResults = data;
+                 this.fetchPublications.searchUtils.totalResults = data;
              },
              err => {
        		    console.log(err);
@@ -322,7 +323,7 @@
        this.subDatasetsCount = this.route.queryParams.subscribe(params => {
            this.subData = this._searchDatasetsService.numOfSearchDatasets(this.keyword).subscribe(
              data => {
-                 this.searchDatasetsComponent.searchUtils.totalResults = data;
+                 this.fetchDatasets.searchUtils.totalResults = data;
              },
              err => {
                  console.log(err);
@@ -333,7 +334,7 @@
        this.subProjectsCount = this.route.queryParams.subscribe(params => {
           this.subProjects = this._searchProjectsService.numOfSearchProjects(this.keyword).subscribe(
              data => {
-                 this.searchProjectsComponent.searchUtils.totalResults = data;
+                 this.fetchProjects.searchUtils.totalResults = data;
              },
              err => {
                  console.log(err);
@@ -341,12 +342,12 @@
            );
        })
 
-       this.searchDataProvidersComponent.getNumForSearch(this.keyword);
+       this.fetchDataproviders.getNumForSearch(this.keyword);
 
        this.subOrganizationsCount = this.route.queryParams.subscribe(params => {
             this.subOrg = this._searchOrganizationsService.numOfSearchOrganizations(this.keyword).subscribe(
              data => {
-                 this.searchOrganizationsComponent.searchUtils.totalResults = data;
+                 this.fetchOrganizations.searchUtils.totalResults = data;
              },
              err => {
                  console.log(err);
@@ -357,7 +358,7 @@
        this.subPeopleCount = this.route.queryParams.subscribe(params => {
           this.subPeople =  this._searchPeopleService.numOfSearchPeople(this.keyword).subscribe(
              data => {
-                 this.searchPeopleComponent.searchUtils.totalResults = data;
+                 this.fetchPeople.searchUtils.totalResults = data;
              },
              err => {
                  console.log(err);
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/commonSimpleSearch.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/commonSimpleSearch.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/commonSimpleSearch.module.ts	(revision 45689)
@@ -10,41 +10,14 @@
 import {SearchResult}     from '../utils/entities/searchResult';
 
 
-import {AdvancedSearchPageComponent} from './searchUtils/advancedSearchPage.component';
-// import {SearchAllComponent} from '../searchAll/searchAll.component';//helpers
-import {SearchPageComponent} from './searchUtils/searchPage.component';
+  import {SearchPageComponent} from './searchUtils/searchPage.component';
 import {SearchFormComponent} from './searchUtils/searchForm.component';
-import {SearchPagingComponent} from './searchUtils/searchPaging.component';
-import {SearchDownloadComponent} from './searchUtils/searchDownload.component';
+ 
+ import {SearchFilterComponent} from './searchUtils/searchFilter.component';
 
-import {BrowseEntitiesComponent} from './searchUtils/browseEntities.component';
-import {BrowseStatisticComponent} from './searchUtils/browseStatistic.component';
 
-// import {SearchResultComponent} from './searchUtils/searchResult.component';
-import {SearchFilterComponent} from './searchUtils/searchFilter.component';
-import {AdvancedSearchFormComponent} from './searchUtils/advancedSearchForm.component';
-// import { SearchPublicationsComponent } from './simple/searchPublications.component';
-import { SearchDataprovidersComponent } from './simple/searchDataproviders.component';
-import { SearchProjectsComponent } from './simple/searchProjects.component';
-// import {SearchDatasetsComponent} from './simple/searchDatasets.component';
-import {SearchOrganizationsComponent} from './simple/searchOrganizations.component';
-import {SearchPeopleComponent} from './simple/searchPeople.component';
-
-import {SearchComponent} from './find/search.component';
-import {SearchCompatibleDataprovidersComponent} from './dataProviders/compatibleDataProviders.component';
-import {SearchEntityRegistriesComponent} from './dataProviders/entityRegistries.component';
-import {DatasourceTableViewComponent} from './dataProviders/datasourceTableView.component';
-//Advanced
-import { AdvancedSearchPublicationsComponent } from './advanced/advancedSearchPublications.component';
-import { AdvancedSearchDataProvidersComponent } from './advanced/advancedSearchDataProviders.component';
-import { AdvancedSearchProjectsComponent } from './advanced/advancedSearchProjects.component';
-import { AdvancedSearchDatasetsComponent } from './advanced/advancedSearchDatasets.component';
-import { AdvancedSearchPeopleComponent } from './advanced/advancedSearchPeople.component';
-import { AdvancedSearchOrganizationsComponent } from './advanced/advancedSearchOrganizations.component';
-
 import {SearchResultsModule} from './searchUtils/searchResults.module';
 import { SearchRoutingModule } from './search-routing.module';
-import{SearchDatasetsAndPublicationsComponentModule} from './simple/searchDatasetsAndPublications.module'
 
 @NgModule({
   imports: [
@@ -58,8 +31,6 @@
     SearchPageComponent,
     SearchFormComponent,
     SearchFilterComponent,
-    SearchPagingComponent,
-    SearchDownloadComponent,
 
 ],
 
@@ -69,8 +40,6 @@
     SearchPageComponent,
     SearchFormComponent,
     SearchFilterComponent,
-    SearchPagingComponent,
-    SearchDownloadComponent,
-    ]
+     ]
 })
-export class SearchModule { }
+export class CommonSimpleSearchModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/browseEntities.module.ts	(revision 45689)
@@ -0,0 +1,29 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import {RefineFieldResultsServiceModule} from '../../services/refineFieldResultsService.module';
+
+import {BrowseEntitiesComponent} from './browseEntities.component';
+import {BrowseStatisticComponent} from './browseStatistic.component';
+
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    RefineFieldResultsServiceModule
+  ],
+  declarations: [
+      BrowseEntitiesComponent,
+      BrowseStatisticComponent
+
+],
+
+  providers:[
+  ],
+  exports: [
+    BrowseEntitiesComponent,
+    BrowseStatisticComponent
+    ]
+})
+export class BrowseEntitiesModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/app-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/app-routing.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/app-routing.module.ts	(revision 45689)
@@ -42,6 +42,34 @@
   return System.import('./landingPages/dataProvider/dataProvider.module' + (process.env.AOT ? '.ngfactory' : ''))
     .then(mod => mod[(process.env.AOT ? 'DataProviderModuleNgFactory' : 'DataProviderModule')]);
 }
+export function getMainSearchModule() {
+  return System.import('./searchPages/find/mainSearch.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'MainSearchModuleNgFactory' : 'MainSearchModule')]);
+}
+export function getSearchPublicationsModule() {
+  return System.import('./searchPages/simple/searchPublications.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchPublicationsModuleNgFactory' : 'SearchPublicationsModule')]);
+}
+export function getSearchDatasetsModule() {
+  return System.import('./searchPages/simple/searchDatasets.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchDatasetsModuleNgFactory' : 'SearchDatasetsModule')]);
+}
+export function getSearchProjectsModule() {
+  return System.import('./searchPages/simple/searchProjects.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchProjectsModuleNgFactory' : 'SearchProjectsModule')]);
+}
+export function getSearchOrganizationsModule() {
+  return System.import('./searchPages/simple/searchOrganizations.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchOrganizationsModuleNgFactory' : 'SearchOrganizationsModule')]);
+}
+export function getSearchDataProvidersModule() {
+  return System.import('./searchPages/simple/searchDataProviders.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchDataProvidersModuleNgFactory' : 'SearchDataProvidersModule')]);
+}
+export function getSearchPeopleModule() {
+  return System.import('./searchPages/simple/searchPeople.module' + (process.env.AOT ? '.ngfactory' : ''))
+    .then(mod => mod[(process.env.AOT ? 'SearchPeopleModuleNgFactory' : 'SearchPeopleModule')]);
+}
 @NgModule({
   imports: [
     RouterModule.forChild([
@@ -55,9 +83,23 @@
       { path: 'deposit-datasets', loadChildren: getDepositDatasetsModule },
       { path: 'deposit-datasets-result', loadChildren: getDepositDatasetsResultsModule },
       { path: 'deposit-publications', loadChildren: getDepositPublicationsModule },
-      { path: 'deposit-publications-result', loadChildren: getDepositPublicationsResultsModule }
+      { path: 'deposit-publications-result', loadChildren: getDepositPublicationsResultsModule },
+      { path: 'search/find', loadChildren: getMainSearchModule },
+      { path: 'search/find/publications', loadChildren: getSearchPublicationsModule },
+      { path: 'search/find/datasets', loadChildren: getSearchDatasetsModule },
+      { path: 'search/find/projects', loadChildren: getSearchProjectsModule },
+      { path: 'search/find/dataproviders', loadChildren: getSearchDataProvidersModule },
+      { path: 'search/find/organizations', loadChildren: getSearchOrganizationsModule },
+      { path: 'search/find/people', loadChildren: getSearchPeopleModule }
 
 
+
+
+
+
+
+
+
     ])
   ],
 })
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 45689)
@@ -12,7 +12,7 @@
     selector: 'search-page',
     template: `
 
-    <!--div class="uk-margin-top">
+    <div class="uk-margin-top">
       <div class="page-header">
           <h1>{{pageTitle}}</h1>
       </div>
@@ -56,7 +56,7 @@
       </div>
     </div>
 
-    <modal-loading [message]= "'Loading results...'"></modal-loading-->
+    <modal-loading [message]= "'Loading results...'"></modal-loading>
 
     `
 })
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 45689)
@@ -3,26 +3,27 @@
 import { FormsModule }         from '@angular/forms';
 
 import {SearchResult}     from '../../utils/entities/searchResult';
-import {SearchPagingComponent} from './searchPaging.component';
-import {SearchDownloadComponent} from './searchDownload.component';
+// import {SearchPagingComponent} from './searchPaging.component';
+// import {SearchDownloadComponent} from './searchDownload.component';
 import {SearchResultComponent} from './searchResult.component';
-import{PagingModule} from '../../utils/paging.module';
+// import{PagingModule} from '../../utils/paging.module';
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule,PagingModule
+    CommonModule, FormsModule
+    // ,PagingModule
   ],
   declarations: [
     SearchResultComponent,
-    SearchPagingComponent,
-    SearchDownloadComponent,
+    // SearchPagingComponent,
+    // SearchDownloadComponent,
 ],
 
   providers:[
   ],
   exports: [
-    SearchPagingComponent,
-    SearchDownloadComponent,
+    // SearchPagingComponent,
+    // SearchDownloadComponent,
       SearchResultComponent
 
     ]
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchForm.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchForm.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchForm.module.ts	(revision 45689)
@@ -0,0 +1,22 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{SearchFormComponent} from './searchForm.component';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule
+  ],
+  declarations: [
+    SearchFormComponent
+],
+
+  providers:[
+  ],
+  exports: [
+    SearchFormComponent
+
+    ]
+})
+export class SearchFormModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/searchUtils/searchPage.module.ts	(revision 45689)
@@ -0,0 +1,36 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{SearchPageComponent} from './searchPage.component';
+import{SearchFormModule} from './searchForm.module';
+import{SearchResultsModule} from './searchResults.module';
+import{SearchFilterComponent} from './searchFilter.component';
+import{LoadingModalModule} from '../../utils/modal/loadingModal.module';
+import {ReportsServiceModule} from '../../services/reportsService.module';
+import {SearchPagingComponent} from './searchPaging.component';
+import {SearchDownloadComponent} from './searchDownload.component';
+import{PagingModule} from '../../utils/paging.module';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule, SearchFormModule, SearchResultsModule, LoadingModalModule, ReportsServiceModule, PagingModule
+  ],
+  declarations: [
+    SearchPageComponent,
+    SearchFilterComponent,
+    SearchPagingComponent,
+    SearchDownloadComponent,
+],
+
+  providers:[
+  ],
+  exports: [
+    SearchPageComponent,
+SearchFilterComponent,
+SearchPagingComponent,
+SearchDownloadComponent,
+    ]
+})
+export class SearchPageModule { }
+ 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchPublicationsComponent} from './searchPublications.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchPublicationsComponent }
+
+    ])
+  ]
+})
+export class SearchPublicationsRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchPeopleRoutingModule} from './searchPeople-routing.module';
+import{SearchPeopleComponent} from './searchPeople.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {PeopleServiceModule} from '../../services/peopleService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    PeopleServiceModule,
+     SearchFormModule, SearchResultsModule, SearchPeopleRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchPeopleComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchPeopleComponent
+     ]
+})
+export class SearchPeopleModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchOrganizations.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchOrganizationsRoutingModule} from './searchOrganizations-routing.module';
+import{SearchOrganizationsComponent} from './searchOrganizations.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {OrganizationsServiceModule} from '../../services/organizationsService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    OrganizationsServiceModule,
+     SearchFormModule, SearchResultsModule, SearchOrganizationsRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchOrganizationsComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchOrganizationsComponent
+     ]
+})
+export class SearchOrganizationsModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchProjectsRoutingModule} from './searchProjects-routing.module';
+import{SearchProjectsComponent} from './searchProjects.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {ProjectsServiceModule} from '../../services/projectsService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    ProjectsServiceModule,
+     SearchFormModule, SearchResultsModule, SearchProjectsRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchProjectsComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchProjectsComponent
+     ]
+})
+export class SearchProjectsModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPublications.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchPublicationsRoutingModule} from './searchPublications-routing.module';
+import{SearchPublicationsComponent} from './searchPublications.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {PublicationsServiceModule} from '../../services/publicationsService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    PublicationsServiceModule,
+     SearchFormModule, SearchResultsModule, SearchPublicationsRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchPublicationsComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchPublicationsComponent
+     ]
+})
+export class SearchPublicationsModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchDataProviders.module.ts	(revision 45689)
@@ -0,0 +1,30 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+import{ SearchDataProvidersRoutingModule} from './searchDataProviders-routing.module';
+import{SearchDataprovidersComponent} from './searchDataproviders.component';
+
+import {SearchResultsModule } from '../searchUtils/searchResults.module';
+
+import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
+import {SearchFormModule} from  '../searchUtils/searchForm.module';
+import {SearchPageModule} from '../searchUtils/searchPage.module';
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+
+    DataProvidersServiceModule,
+     SearchFormModule, SearchResultsModule, SearchDataProvidersRoutingModule, SearchPageModule
+
+  ],
+  declarations: [
+    SearchDataprovidersComponent
+   ],
+  providers:[
+    ],
+  exports: [
+    SearchDataprovidersComponent
+     ]
+})
+export class SearchDataProvidersModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchPeople-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchPeopleComponent} from './searchPeople.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchPeopleComponent }
+
+    ])
+  ]
+})
+export class SearchPeopleRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects-routing.module.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects-routing.module.ts	(nonexistent)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/searchPages/simple/searchProjects-routing.module.ts	(revision 45689)
@@ -0,0 +1,14 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{SearchProjectsComponent} from './searchProjects.component';
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: SearchProjectsComponent }
+
+    ])
+  ]
+})
+export class SearchProjectsRoutingModule { }
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/tabs.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/tabs.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/tabs.component.ts	(revision 45689)
@@ -5,7 +5,7 @@
 import { SearchPublicationsService } from '../../services/searchPublications.service';
 import { FetchDatasets } from '../../utils/fetchEntitiesClasses/fetchDatasets.class';
 import { SearchDatasetsService } from '../../services/searchDatasets.service';
-import { FetchProjects } from '../../utils/fetchEntitiesClasses/fetchProjects.component';
+import { FetchProjects } from '../../utils/fetchEntitiesClasses/fetchProjects.class';
 import { SearchProjectsService } from '../../services/searchProjects.service';
 import { FetchDataproviders } from '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
 import { SearchDataprovidersService } from '../../services/searchDataproviders.service';
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 45689)
@@ -1,6 +1,5 @@
 import {Component, Input} from '@angular/core';
 import { FetchPublications } from '../../utils/fetchEntitiesClasses/fetchPublications.class';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
Index: modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45688)
+++ modules/uoa-services-portal/branches/lazy-routes/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45689)
@@ -7,7 +7,6 @@
 import { FetchDataproviders } from '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
 
 import { SearchDataprovidersService } from '../../services/searchDataproviders.service';
-import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 import {ExportCSVComponent} from '../../utils/exportCSV.component';
